@import "../../../assets/styles/theme";

.header {
  z-index: 7;
  position: sticky;
  top: 0;
}

.header-block {
  padding: ($space / 1.4) $space !important;
  background-image: linear-gradient(
    to top right,
    transparentize($primary, 0.97),
    transparent
  );
  background-size: 100% 100%;
  background-position: -100% 50%;
  box-shadow: none;
  transform: scale3d(1, 1, 1);
}

.header-logo {
  width: $font-L * 1.4 * 7 / 2;
  height: $font-L * 1.4;
  text-decoration: none !important;
  box-shadow: none !important;
}

.header-separator {
  padding: 0 ($space / 1.4);
  font-size: $font-L;
  opacity: 0.07;

  @media (max-width: $mobile) {
    visibility: hidden;
    padding: 0 $space / 2;
  }
}

.header-wordmark {
  font-size: $font-L;
  text-decoration: none !important;
}

.header-nav-max-view {
  display: block;
}
.header-nav-min-view {
  display: none;

  .header-logo {
    width: $font-L * 1.4;
  }
}
@media (max-width: $mobile * 2) {
  .header-nav-max-view {
    display: none;
  }
  .header-nav-min-view {
    display: block;
  }
}

.header-nav-links {
  margin: (-$space * 1.5) 0;
  padding-right: $space / 2;
  height: $space * 3;
  text-decoration: none !important;

  .flex {
    flex-direction: column;
    height: inherit;

    .center {
      margin: auto;
      padding: 0 ($space);
    }
  }
}

.header-nav-btn {
  margin-top: -24px !important;
  margin-bottom: -24px !important;
  padding: 0 !important;
  width: 48px !important;
  height: 48px !important;
  border: 0 !important;
  background-image: none !important;
  background-color: transparent !important;
  box-shadow: none !important;
  color: $primary !important;
}

.header-account-photo {
  @extend .header-nav-links;

  display: inline-block;

  margin: (-$space / 4) 0 (-$space / 4) ($space / 2);

  $size: $space * 2;
  width: $size;
  max-width: $size;
  min-width: $size;
  height: $size;
  max-height: $size;
  min-height: $size;

  .account-photo {
    width: $size;
    max-width: $size;
    min-width: $size;
    height: $size;
    max-height: $size;
    min-height: $size;
  }
}

.header-nav-drop-vault {
  position: absolute;
  top: $space;
  right: $space;
  height: 0;
  width: 0;
}

.header-nav-drop {
  .gerami-menu {
    max-height: 80vh;
  }
}

.header-nav-drop-items {
  padding: $space !important;
  width: $space * 14 !important;
}
